R.Mahendra Nath -NL- E-Mail: **`rmahi36@gmail.com`[EMAILS_EMAIL]** -NL- Mobile: +91 **`9000845161`[PHONES_PHONE]** -NL- [ -NL- To acquire challenging and responsible position in thefield of Software Development -NL- as Full stack developer , to explore potential in a professional organization to meet -NL- employer’s expectation. -NL- **`SUMMARY`[SUMMARY_HEADING]** -NL-  A Full Stack professional with 6 year(s) 8 Month(s) of experience in java development. -NL-  Currently working with **`LTI`[EMPLOYER_COMPANY_NAME]** (Larsen & Toubro Infotech) as senior software engineer. -NL-  Extensive knowledge of Core Java concepts and its API. -NL-  Hands on Experience in Development of web applications using Java and Server side Programming using -NL- OOPS concepts and various MVC models. -NL-  Good experience in developing using – spring and Hibernate framework Architecture and supported -NL- technologies. -NL-  Experience in developing Enterprise Level GUI using spring, Hibernate. -NL-  Hands on experience in build and automation tool like Maven, Ant, Cucumber, Selenium. -NL-  Good experience in testing different SDLC layers using mock and Junit. -NL-  Hands on experience in using net beans, My Eclipse as IDE for developing software applications. -NL-  Influential character with good technical & pioneering skills and can handle Software projects efficiently. -NL-  Excellent scripting knowledge such as JavaScript, jQuery and AJAX, Kendo UI/Backbone js, -NL- Angular js, Coffee script -NL-  Excellent Logical skills to meet the requirements -NL-  Adept at developing programs by analyzing and identifying areas for modification along with structuring -NL- software designs. -NL-  Expertise in supporting, maintaining and developing in Oracle(PL/SQL,SQL) -NL-  Having good knowledge of Software Development Life Cycle (SDLC),Agile methodology -NL-  Good in Understanding of Business logic and ability to work well as a part of a team and as an individual. -NL-  Having client location developing experience for the following clients (SBI, VISA, AXIS, ITZ cash) and -NL- Holcim at Mumbai -NL- IT SKILLS -NL- SKILLS -NL- **`EXPERIENCED`[WORK_EXPERIENCE_HEADING]** -NL- Programming Languages -NL- Java (JSE,JEE) -NL- Operating Systems -NL- Windows,Linux,Mac -NL- PROFESSIONAL Database Software’s -NL- Oracle, Mysql, pl/sql, DB2 -NL- JSE Concepts -NL- AWT,Swing,JDBC -NL- AFFILIATION -NL- JEE Concepts -NL- Servlet,Jsp -NL- Servers -NL- Tomcat,JBoss,weblogic -NL- **`Organization`[WORK_EXPERIENCE_HEADING]** -NL- Designation -NL- Duration -NL- ORM Software’s -NL- Hibernate,JPA -NL- NeelSys India Framework Private software’s -NL- Spring 3 -NL- Jr. Java Developer -NL- Dec ’12 to Oct’14 -NL- Limited -NL- IDE -NL- MyEcllipse,NetBeans,Eclipse -NL- Testing Software’s -NL- Junit, Mock, selenium, -NL- cucumber, Jasmine -NL- Yalamanchili Software -NL- Build automation Tool -NL- Maven, Ant -NL- Exports (BetaMonks -NL- Oct ’14 to Nov -NL- Project development Software Engineer SVN, Mantis, Jenkins, Hudson, -NL- technology Factory Pvt. -NL- ‘16 -NL- tool -NL- Git, Splunk, Sonar, Jira, -NL- Ltd) -NL- Cruciable, ALM, WRm, -NL- Scripting Language -NL- Angular JS, JavaScript, JQuery, -NL- AJAX, JSON, kendo -NL- JP Morgan and Chase Sr. -NL- Software UI(Telerik/backbone.js),Angular -NL- Dec ’16 –Dec ‘17 -NL- (Collabera) -NL- engineer -NL- 2 -NL- Designing concepts -NL- CSS/ADA -NL- **`LTI`[EMPLOYER_COMPANY_NAME]** -NL- Sr. Software -NL- Dec '17 - -NL- engineer -NL- Present -NL- PROFESSIONAL PROJECTS -NL- NAME OF THE CLIENT: Caterpillar -NL- PROJECT: PSCS (Product Support Commercial DURATION: Jun 2018 – Present -NL- System) -NL- ROLE: Application Developer -NL- LOCATION: India -NL- ENVIRONMENT: Spring, Hibernate, Jsp, Jstl, jQuery, CSS, Html, Maven, Junit, oracle, Tomcat7, -NL- Eclipse, Agile, Jenkins, SOAP, REST service, Jira, sonar, GIT, Microservice, Coffee script, Jade, less, -NL- Cucumber, selenium, sonar, jacoco, Flyway, Angular js, db2, oracle, Jasmine, Mockito, -NL- DESCRIPTION: -NL- Development and enhancement of the web portal for promotional programs for dealers of Caterpillar Client -NL- for various types of products. To maintain the discount and credit provided to dealers and the claims by the -NL- dealers over the programs. To maintain the various roles in the application, the approval process of claims -NL- which facilitates the revenue expected from each product sales. -NL- Roles & Responsibilities: -NL-  Attend and discuss all the ceremonies in the agile process. -NL-  Enhancement in the development of project as per requirements by following Agile methodology -NL-  Analyzing and implementing the assigned stories -NL-  Preparation of Test cases / scripts and related documents for stories. -NL-  Study of existing system and perform peer review of team mate’s stories. -NL-  Perform testing for the developed stories in different environment. -NL-  Team member -NL- NAME OF THE CLIENT: Caterpillar -NL- PROJECT: WTCS (Work Tool Commercial -NL- DURATION: Jun 2018 – Present -NL- System) -NL- ROLE: Application Developer -NL- LOCATION: India -NL- ENVIRONMENT: Servlets, Hibernate, Jsp, Jstl, jQuery, CSS, Html, Maven, Junit, oracle, Tomcat7, -NL- Eclipse, Agile, Jenkins, SOAP, REST service, Jira, sonar, GIT, Microservice, Coffee script, Jade, less, -NL- Cucumber, selenium, sonar, jacoco, Flyway, Angular js, db2, oracle, Jasmine, Mockito, -NL- DESCRIPTION: -NL- Development and enhancement of the web portal for promotional programs for dealers of Caterpillar Client -NL- for various types of Machines and their tools. To maintain the discount and credit provided to dealers and -NL- the claims by the dealers over the programs. To maintain the various roles in the application, the approval -NL- process of claims which facilitates the revenue expected from each product sales. -NL- Working on migration the project to higher version technologies -NL- Roles & Responsibilities: -NL-  Attend and discuss all the ceremonies in the agile process. -NL-  Enhancement in the development of project as per requirements by following Agile methodology -NL-  Analyzing and implementing the assigned stories -NL-  Preparation of Test cases / scripts and related documents for stories. -NL-  Study of existing system and perform peer review of team mate’s stories. -NL-  Perform testing for the developed stories in different environment. -NL-  Team member -NL- NAME OF THE CLIENT: Holicm(HSSA) -NL- PROJECT: Price Glider, PinApp, -NL- DURATION: Jan 2018 – Jun 2018 -NL- PeopleApp, SignonGlass -NL- ROLE: Application Developer -NL- LOCATION: India -NL- ENVIRONMENT: Spring, Hibernate, Jsp, Jstl, jQuery, CSS, Html, Maven, Junit, oracle, Tomcat7, -NL- Eclipse, Agile, Jenkins, SOAP, REST service, Jira, sonar, GIT, Microservice -NL- DESCRIPTION: -NL- Price Glider is one of the mobile application where Holicm users and used to take the services of the -NL- customers at client place like creating order, create the opportunity, create the quote, provide the discount, -NL- approval of the discount update the status, track the product details and recommended the other customers -NL- and promotional the product this all activity is provided by the system. We interact with SAP and salesforce -NL- to get the customer details which we interlinked the customers with other HSSA products. Also provide the -NL- admin screens to control the App functions based on the role, division and region -NL- PinApp is a Mobile application which is used to track the customer order service and estimation time to -NL- arrival, change the delivery of the products. -NL- PeopleApp is internal app of the HSSA people for updating their personal information, participating the -NL- survey, uploading the holiday pics, share the clients meeting details, provide the reviews, internal poll -NL- conduction etc. -NL- Roles & Responsibilities: -NL-  Attend and discuss all the ceremonies in the agile process. -NL-  Design and implementation of the modules which is assigned. -NL-  Test the entire application as per requirement. -NL-  Done the validation both client side and server when needed. -NL-  Done Critical CURD logic as per requirements by Using Hibernate and spring -NL-  Tested different layers with junit, mock -NL-  Interact with onsite team when needed. -NL-  Interact with the mobile team and Product owners with proper solutions, if any road block -NL-  Interact with different teams like salesforce and SAP team for Data Issues -NL- NAME OF THE CLIENT: JP Morgan and Chase -NL- PROJECT: **`SUA/Credit Card for CCB`[PROJECT_TITLE]** -NL- DURATION: Dec 2016 – present -NL- ROLE: Application Developer -NL- LOCATION: India -NL- ENVIRONMENT: Spring, Hibernate, Jsp, Jstl, jQuery, CSS, Html, Maven, Junit, oracle, Tomcat7, -NL- Eclipse, Agile, Jenkins, ADA, Selenium(AFT’s), kendo UI/Backbone.js, REST service, Jira, sonar, -NL- Splunk, git, svn, ALM, crucible -NL- DESCRIPTION: -NL- Commercial card services, where I mainly handle the virtual card project. Virtual Card is a card product that -NL- acts like a check. With our SUA product, a “single” 16-digit virtual card account number is used for each -NL- individual payment. Payment-specific authorization controls like credit limit, date range and merchant -NL- category codes are then added to that account. As transactions post to the SUA account an automated -NL- matching process matches the transactions to the original "Order" or account request, updating the -NL- transaction with any client-specific reconciliation information provided by the client (i.e. invoice numbers, PO -NL- numbers, payment ID's, etc.). -NL- Single-Use Accounts (SUA) is an electronic payables tool that provides clients with one Visa or MasterCard -NL- account for each client purchase or payment. The account controls (like credit limit, MCCG, etc.) on those -NL- individual accounts are configured for the specific purchase or payment the client is trying to make. Once -NL- used, SUA then ensures all merchant transactions are automatically matched back to the client's purchase -NL- documents (e.g., PO, invoice, receipt), simplifying the client's reconciliation process. Combined, Single-Use -NL- Accounts provide customers with theflexibility,float and rebate of a purchasing card while delivering -NL- powerful security, antifraud and reconciliation features -NL- Roles & Responsibilities: -NL-  Attend and discuss all the ceremonies in the agile process. -NL-  Design and implementation of the modules which is assigned. -NL-  Test the entire application as per requirement. -NL-  Done the validation both client side and server when needed. -NL-  Done Critical CURD logic as per requirements by Using Hibernate and spring -NL-  Tested different layers with junit, mock and selenium(AFT’s). -NL-  Done code review of my team members and suggest them when needed -NL-  Follow-up with product owner, DA and BA and scrum master for mismatch, code impacts and new -NL- functionalities -NL-  Worked on ADA concepts also. -NL-  Interact with onsite team when needed. -NL- NAME OF THE CLIENT: ITZ Cash , SBI ,Axis and YES bank -NL- PROJECT: **`PREPAID`[PROJECT_TITLE]** -NL- DURATION:Oct 2014– till Date -NL- ROLE: Sr. Java/J2EE -NL- LOCATION: India -NL- developer -NL- ENVIRONMENT: Struts, jsp, JDBC, Oracle Sql Developer, PL/SQL, CSS, Apache -NL- Tomcat 6.0 ,MQ -NL- Spring, Hibernate, jQuery, Maven. -NL- DESCRIPTION: -NL- IT Cash Prepaid is a product developed for ITZ cash Clients (HDFC, IDBI, DCB, and KOTAK) Bank, India. This -NL- project primarily aims at issuing reload able & non-reload able prepaid cards (Gift and Travel cards). Gift -NL- Cards meant for use only within India. The Gift Cards are issued only in Indian currency. Whereas Travel cards -NL- for other than India and it is used in respective currency when user applied. The project is web based and -NL- provides support for both Customer and Banking transactions. Developed Letter Management, Brand -NL- Preferences, Customers are facilitated with performing transactions from any merchant outlets either through -NL- a POS, WEB, ATM, IVR, etc. The point of contact for all the transactions is the NARADA switch where the -NL- Prepaid Cards get validated, and enters the host machine to post transactions. -NL- RESPONSIBILITIES: -NL-  Involved in the analysis of Service Requests and estimating the effort -NL-  Involved in coding and testing of the Service Requests -NL-  Production support of application –Supervisor and Reports. -NL-  Developed server-side services using Java multithreading, Struts MVC. -NL-  Creating the System Integration Test Plan -NL-  Involved in System Integration and Testing. -NL-  Designed workflows and developed applications implementing the business processes. -NL-  Worked on front end with HTML, JSP and Struts Tag-libraries. Wrote custom JSP tags for role-based -NL- sorting andfiltering. -NL-  Build, confirm and prioritize technical specifications and other Project artifacts with the business -NL- analyst and architect -NL-  Other responsibilities include code review, release management and co-ordination with clients and -NL- onsite team -NL- NAME OF THE CLIENT: -NL- PROJECT: **`Altocarrera`[PROJECT_TITLE]** -NL- DURATION:Jan 2013 – Oct 2014 -NL- ROLE: Java Developer -NL- LOCATION: India -NL- ENVIRONMENT: -NL- Spring,Hibernate,Jsp,Jstl,Jquery,CSS,Html,Maven,Junit,Mysql ,JBoss,Tomcat7,Eclipse -NL- DESCRIPTION: -NL- **`Altocarrera`[PROJECT_TITLE]** is a complete website for the students. Where the student can get any type information which is -NL- related to studies, careers, etc. this module consist of different type of user role like user/student, college -NL- admin, Employer, counselor, super admin. There is different access based on user roles. List of modules -NL- which are developed by me. -NL- User/student:sports,activites,interests,professionalExperience,achievements,certifications,askExpert,Html -NL- resume,dashboard,careers,counselor appointment, complete profile -NL- College Admin:-view students, view assignment, college admissions, and dashboard. -NL- Employer:-Reviews, resume search, responses, list of jobs posted, saved jobs, post later jobs. Dashboard. -NL- Super Admin:-all careers related authorizations process. -NL- General: - SMS sending, Mail sending, Forgot userid, Forgot password, Refer a friend, Pagination -NL- Roles & Responsibilities: -NL-  Responsible for the design Database and regularly interact with BA Regarding mismatch -NL-  Design and implementation of the modules which is assigned. -NL-  Implemented business logic on server-side as Spring-JEE -NL-  Developed web-based software modules (JSP, HTML). -NL-  Done the validation both client side and server when needed. -NL-  Done Critical CURD logic as per requirements by Using Hibernate -NL-  Tested different layers with junit and mock. -NL-  Done code review of my team members and suggest them when needed -NL-  Follow-up with clients and Project Manager for mismatch, code impacts and new functionalities -NL-  Taking the responsible of any loading issues andfixes them by code tuning and checking them by -NL- adding timers for respective methods. -NL-  Having experience in Managing the modules of various sizes, monitoring and tracking, resource -NL- forecasting & allocation, risk & issues management and coordination with project Manager and client -NL-  Done R&D on new technologies and implemented that in our projects (JSON, auto complete, insertion -NL- by using DTO, jQuery predefined functions, pojo class calling in method, annotation-based -NL- controllers) etc. -NL- EXAM DEGREE - / YEA R - ACADEMIA NAME OF INSTITUTE - UNIVERSITY BOARD - / PERCENTA GE -NL- **`B.TECH`[EDUCATION_DEGREE]** (Computer Science) - 201 1 - Hasvita Institute of Technology, Hyderabad - Engineering - and - JNTU Hyderabad - 73% -NL- **`12th`[EDUCATION_DEGREE]** (MPC) - Board - 200 7 - **`Kendriya vidyalaya,Jagdalpur`[EDUCATION_INSTITUTE]** - CBSE - 72.20% -NL- **`10th`[EDUCATION_DEGREE]** Board - 200 5 - **`Kendriya vidyalaya,Jagdalpur`[EDUCATION_INSTITUTE]** - CBSE - 72% -NL- [ -NL- **`PERSONAL DOSSIER`[PERSONAL_DETAILS_HEADING]** -NL- Father’s Name : Mr. R.Vasudeva Rao -NL- Nationality : Indian -NL- Gender : Male -NL- Date of Birth : Aug 25, 1989 -NL- Marital Status : Single -NL- Hobbies and activities : playing basketball, knowing about new gadgets, travelling -NL- Language : English, Hindi, Telugu -NL- Place -NL- Signature -NL- Mumbai -NL-**` R.Mahendra Nath`[NAME]** -NL- 